Bug 53733 (vs-515121) - Accessibility:MAS36:KB:Not able to access "Application Selector, Debug type, Simulator selector" using keyboard..
Summary: Accessibility:MAS36:KB:Not able to access "Application Selector, Debug type, ...
Status: RESOLVED FIXED
Alias: vs-515121
Product: Xamarin Studio
Classification: Desktop
Component: Shell (show other bugs)
Version: 7.0 (VSforMac)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: 15.6
Assignee: Vsevolod Kukol
URL:
Depends on:
Blocks:
 
Reported: 2017-03-22 10:31 UTC by Ramya Sri Narasinga
Modified: 2018-01-12 12:04 UTC (History)
3 users (show)

Tags: Accessibility,Wipro,A11yMAS,Xamarin-Studio,MAS36,vs-sync
Is this bug a regression?: ---
Last known good build:


Attachments
Screenshots 1 (884.65 KB, image/png)
2017-03-22 10:31 UTC, Ramya Sri Narasinga
Details
Screenshots 2 (876.04 KB, image/png)
2017-03-22 10:32 UTC, Ramya Sri Narasinga
Details
Screenshots 3 (967.21 KB, image/png)
2017-03-22 10:32 UTC, Ramya Sri Narasinga
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Ramya Sri Narasinga 2017-03-22 10:31:28 UTC
Created attachment 20601 [details]
Screenshots 1

Testing Environment: 
macOS Sierra v 10.12.3
Xamarin v6.3 (Build 731)

Repro Steps:
1.Launch Xamarin Studio -> Create/Open multiplatform single view application.
2.View menu -> Pads -> Solution.
3.Select MainActivity.cs in .Droid application.
4.Hit 'Command + .' to navigate to Search box.
5.Hit "shift + Tab' and try to access "Application selector, Debug type, Simulator selector" using keyboard.

Expected Behavior:
Not able to access  Individual components (Application selector,Debug type, Simulator selector) Focus going to entire group so that not able to modify those.

Actual Behavior:
Application selection, debug type, Simulator selection should be accessible with keyboard and able to modify.

User Impact:
Users need to be able to navigate an application and interact with the UI elements by using a keyboard alone. Users who are dependent on keyboard navigation include those with visual impairments who rely on screen readers and those with dexterity or mobility impairments who cannot use a mouse.

>>> Please find the attachments for Screenshots <<<
Comment 1 Ramya Sri Narasinga 2017-03-22 10:32:05 UTC
Created attachment 20602 [details]
Screenshots 2
Comment 2 Ramya Sri Narasinga 2017-03-22 10:32:22 UTC
Created attachment 20603 [details]
Screenshots 3
Comment 3 Ramya Sri Narasinga 2017-03-22 10:50:14 UTC
In above bug, expected and actual behavior is interchanged. Please find the correct expected and actual behavior below:

Expected Behavior:
Application selection, debug type, Simulator selection should be accessible with keyboard and able to modify.

Actual Behavior:
Not able to access  Individual components (Application selector,Debug type, Simulator selector) Focus going to entire group so that not able to modify those.
Comment 4 iain 2017-03-31 14:35:34 UTC
Cocoa seems to be getting confused because the selector is inside an NSButton. Will need to fix that
Comment 5 xamarin-release-manager 2017-09-19 15:20:42 UTC
Fixed in version 7.3.0.593 (master)

Author: Dmytro Ovcharov
Commit: f09249f9245212367dbb875f60df592927a4faab (mono/monodevelop)
Comment 6 Ramya Sri Narasinga 2017-09-27 06:59:43 UTC
Verified the bug in the version 7.3 Preview build (7.3 build 510) and the issue still exists
Comment 7 Matt Ward 2017-09-27 09:19:57 UTC
Shift+Tab was not working for me initially - it would not focus the main toolbar. I had to go into Keyboard preferences - Shortcuts and in the Full Keyboard Access, at the bottom of the dialog, had to ensure All Controls was selected. By default you can only tab between text boxes and lists.

Tested VS Mac 7.3.0.615 (d15-5 branch) and this is partially working. I can tab into the last two parts of the main toolbar but not the first and then press space to open the list and the arrows to move around and select a different item. You do not seem to be able to select the Application in the toolbar. You cannot go backwards between the parts in the selector. It also seems to not always work and gets stuck on say just the Simulator selector part and you cannot switch to any other individual item. Also you can seem to get it into a state where you can only focus the entire selector control and not go into any item.

Not sure what the expected behaviour is here but either tabbing onto the selector control should focus the first time every time, or perhaps it can remember where the focus was last time - which seems to be sort of how it is working now. However in both cases it seems like I should be able to use tab and shift+tab when focus is on the selector to switch left and right between items - that does not seem to work. You can tab to move from the Debug to Simulator if Debug happens to be selected when you tab into the selector. Shift+tab seems to just focus the entire selector.
Comment 8 xamarin-release-manager 2018-01-12 11:54:56 UTC
Fixed in version 7.5.0.160 (master)

Author: Vsevolod Kukol
Commit: 37a1f435f70d5e6bbded5421ea6a77f994539478 (mono/monodevelop)